Package org.apache.tools.ant.taskdefs.optional.xz

# Class Xz

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.Pack
org.apache.tools.ant.taskdefs.optional.xz.Xz

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class Xz
    extends Pack

Compresses a file with the XZ algorithm. Normally used to compress non-compressed archives such as TAR files.

Since:
  Ant 1.10.1

## Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.Pack

`source, zipFile`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Xz()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`protected void` | `pack()` | Compress the zipFile.
`protected boolean` | `supportsNonFileResources()` | Whether this task can deal with non-file resources.

### Methods inherited from class org.apache.tools.ant.taskdefs.Pack

`addConfigured, execute, getSrcResource, setDestfile, setSrc, setSrcResource, setZipfile, zipFile, zipResource`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Xz

public Xz()

## Method Details

### pack

protected void pack()
Compress the zipFile.

Specified by:
  `pack` in class `Pack`

### supportsNonFileResources

protected boolean supportsNonFileResources()
Whether this task can deal with non-file resources.

This implementation always returns true only.

Overrides:
  `supportsNonFileResources` in class `Pack`
Returns:
  true